using Connected.Utilities;
using Microsoft.AspNetCore.Components;

namespace Connected.Components;

public partial class Td : UIComponent
{

	protected string Classname =>
	new CssBuilder("table-cell")
		.AddClass("table-cell-hide", HideSmall)
		.AddClass(AdditionalClassList)
	.Build();

	[Parameter] public RenderFragment ChildContent { get; set; }

	[Parameter] public string DataLabel { get; set; }

	/// <summary>
	/// Hide cell when breakpoint is smaller than the defined value in table.
	/// </summary>
	[Parameter] public bool HideSmall { get; set; }
}
